# Gimp.Drawable.prototype.has_alpha

    function has_alpha(): Boolean {
        // Gjs wrapper for gimp_drawable_has_alpha()
    }

Returns TRUE if the drawable has an alpha channel.

This procedure returns whether the specified drawable has an alpha channel. This can only be true for layers, and the associated type will be one of: { RGBA , GRAYA, INDEXEDA }.

Returns

  Does the drawable have an alpha channel?